<?php
	require_once('database/SessionVariables.php');

	define('PAGE_TITLE', 'Character - Background');
	define('FILENAME', basename(__FILE__, '.php'));

	require_once('database/DatabaseAccess.php');
	require_once('database/TableEquipment.php');

	$dbHandle = openDatabase();
	$currentCharacterID = $_SESSION[SESSION_CHARACTER_ID];

	$armorID = filter_input(INPUT_GET, ARMOR_ID, FILTER_SANITIZE_NUMBER_INT);

	if(!is_null($armorID)) {
		addCharacterArmor($dbHandle, array($currentCharacterID, $armorID));
		header("location:equipment.php");
		die();
	}

	require_once('includes/header.php');	
?>
		<div class = "container">
			<div class = "row">
				<div class = "col-md-8 col-md-offset-2">
					<div class="table-responsive">
						<table class="table table-striped">
							<thead>
								<tr>
									<th>Total Experience</th>
									<th>Unspent Experience</th>
									<th>Credits</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>200</td>
									<td>25</td>
									<td>1055</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
				<div class="col-md-1 col-md-offset-1">
					<button type="button" class="btn btn-info centered" data-container="body" data-toggle="modal" data-target="#help"><span class="glyphicon glyphicon-question-sign"></span></button>
				</div>
			</div>
		</div>

		<div class = "container">
			<div class="container col-md-9">
				<h2 class="sub-header">Armor:</h2>
			</div>
			<div class="container col-md-3">
				<a href="equipment.php"><button type="button" class="btn btn-primary btn-md btn-block">Back to Equipment</button></a>
			</div>
		</div>
		<div class = "container">
			<div class = "col-md-12">
				<div class="table-responsive">
					<table class="table table-striped">
						<thead>
							<tr>
								<th>Type</th>
								<th>Defense</th>
								<th>Soak</th>
								<th>Price</th>
								<th>Encumberance</th>
								<th>Hard Points</th>
								<th>Rarity</th>
								<th>Add</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<?php
								$rows =  getAllArmor($dbHandle);
								foreach ($rows as $row) {
								?><tr>
									<td><?php echo $row[ARMOR_TYPE];?></td>
									<td><?php echo $row[ARMOR_DEF];?></td>
									<td><?php echo $row[ARMOR_SOAK];?></td>
									<td><?php echo $row[ARMOR_PRICE];?></td>
									<td><?php echo $row[ARMOR_ENC];?></td>
									<td><?php echo $row[ARMOR_HP];?></td>
									<td><?php echo $row[ARMOR_RARITY];?></td>
									<td>
										<form action="" method="get">
											<input type="hidden" name="<?php echo ARMOR_ID ?>" value="<?php echo $row[ARMOR_ID] ?>">
											<button type="button" class="btn btn-default btn-sm" onclick="this.form.submit()">
												<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>
											</button>
										</form>
									</td>
								</tr>
									<?php
								}
								?>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>

		<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
		<script src="js/bootstrap.js"></script>
		<script src="js/sorttable.js"></script> <!--http://www.kryogenix.org/code/browser/sorttable/-->
	
	</body>
</html>

<!-- Help Modal -->
<div class="modal fade" id="help" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Help Information</h4>
			</div>
			<div class="modal-body">
				Help info
			</div>
		</div>
	</div>
</div>