<?php
	require_once('database/SessionVariables.php');

	define('PAGE_TITLE', 'Character - Background');
	define('FILENAME', basename(__FILE__, '.php'));
	
	require_once('database/DatabaseAccess.php');
	require_once('database/TableBackgrounds.php');

	$dbHandle = openDatabase();
	$userID = $_SESSION[SESSION_USER_ID];
	$backgroundID = filter_input(INPUT_GET, BACKGROUND_ID, FILTER_SANITIZE_NUMBER_INT);
	$characterID = filter_input(INPUT_GET, CHARACTER_ID, FILTER_SANITIZE_NUMBER_INT);
	
	if (!is_null($characterID)) {
		$currentCharacterID = $characterID;
		$_SESSION[SESSION_CHARACTER_ID] = $characterID;
	}
	else {
		$currentCharacterID = $_SESSION[SESSION_CHARACTER_ID];
	}

	if (!is_null($backgroundID)) {
		SetCharacterBackground($dbHandle, array($backgroundID, $userID, $currentCharacterID));
		header('location:morality.php');
		die();
	}

	require_once('includes/header.php');	
?>
		<div class = "container">
			<div class = "row">
				<div class = "col-md-8 col-md-offset-2">
					<div class="table-responsive">
						<table class="table table-striped">
							<thead>
								<tr>
									<th>Total Experience</th>
									<th>Unspent Experience</th>
									<th>Credits</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>200</td>
									<td>25</td>
									<td>1055</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
				<div class="col-md-1 col-md-offset-1">
					<button type="button" class="btn btn-info centered" data-container="body" data-toggle="modal" data-target="#help"><span class="glyphicon glyphicon-question-sign"></span></button>
				</div>
			</div>
		</div>
		<div class = "container">
			<h2 class="sub-header">Select Background:</h2>
			<ul class="tabs">
				<li><a href="#view1">Cultural Background</a></li>
				<li><a href="#view2">Experiencing the Force</a></li>
				<li><a href="#view3">Heeding the Call</a></li>
			</ul>
			<form method="get" action="">
				<div class="tabcontents">
					<div id="view1">
						<?php

						$rows = getBackgrounds($dbHandle, array("Cultural Background"));
						foreach ($rows as $row) {
							?>
							<div class="radio">
								<label>
									<input type="radio" name="<?php echo BACKGROUND_ID ?>" value="<?php echo $row[BACKGROUND_ID];?>">
									<u><?php echo $row[BACKGROUND_TITLE];?></u>
								</label>
								<p>
									<?php echo $row[BACKGROUND_DESCRIPTION];?>
								</p>
							</div>
							<?php
						}
						?>
					</div>
					<div id="view2">
						<?php

						$rows = getBackgrounds($dbHandle, array("Experiencing the Force"));
						foreach ($rows as $row) {
							 ?><div class="radio">
								<label>
									<input type="radio" name="<?php echo BACKGROUND_ID ?>" value="<?php echo $row[BACKGROUND_ID];?>">
									<u><?php echo $row[BACKGROUND_TITLE];?></u>
								</label>
								<p>
									<?php echo $row[BACKGROUND_DESCRIPTION];?>
								</p>
							</div>
							<?php
						}
						?>
					</div>
					<div id="view3">
						<?php

						$rows = getBackgrounds($dbHandle, array("Heeding the Call"));
						foreach ($rows as $row) {
							 ?><div class="radio">
								<label>
									<input type="radio" name="<?php echo BACKGROUND_ID ?>" value="<?php echo $row[BACKGROUND_ID];?>">
									<u><?php echo $row[BACKGROUND_TITLE];?></u>
								</label>
								<p>
									<?php echo $row[BACKGROUND_DESCRIPTION];?>
								</p>
							</div>
							<?php
						}
						?>
					</div>
				</div>
		</div>
		<div class="container col-md-6 col-md-offset-3">
			<button type="button" class="btn btn-primary btn-lg btn-block" onclick="this.form.submit()">Save</button>
		</div>
		</form>

		<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
		<script src="js/bootstrap.js"></script>
		<script src="js/tabcontent.js"></script> <!--http://www.menucool.com/tabbed-content-->
	
	</body>
</html>

<!-- Help Modal -->
<div class="modal fade" id="help" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Help Information</h4>
			</div>
			<div class="modal-body">
				Help info
			</div>
		</div>
	</div>
</div>