<?php
	require_once('database/SessionVariables.php');

	define('PAGE_TITLE', 'Character - Background');
	define('FILENAME', basename(__FILE__, '.php'));
	define('OLD_CAREERS_ID', 'oldCID');
	

	require_once('database/DatabaseAccess.php');
	require_once('database/TableCareers.php');

	$dbHandle = openDatabase();
	$currentCharacterID = $_SESSION[SESSION_CHARACTER_ID];
	$careerID = filter_input(INPUT_GET, CAREERS_ID, FILTER_SANITIZE_NUMBER_INT);
	$specialisationID = filter_input(INPUT_GET, SPECIALISATION_ID, FILTER_SANITIZE_NUMBER_INT);
	$skillsSelected = filter_input(INPUT_GET, SKILL_NAMES_ID, FILTER_DEFAULT, FILTER_REQUIRE_ARRAY);

	if (! is_null($skillsSelected) && count($skillsSelected)==6) { //Check that 6 skills are chosen before updating database
		echo implode(' ', $skillsSelected);
		setCharacterCareer($dbHandle, array($careerID, $currentCharacterID));
		setCharacterSpecialisation($dbHandle, array($currentCharacterID, $specialisationID));
		deleteAllCharacterCareerSkills($dbHandle, array($currentCharacterID));
		foreach($skillsSelected as $skill){
			setCharacterCareerSkill($dbHandle, array($currentCharacterID, $skill));
		}
		$skillNames = getSelectedSkillNames($dbHandle, $skillsSelected);
		foreach ($skillNames as $name) {
			setCharacterCareerSkillRank1($dbHandle, $name[0], array($currentCharacterID));
		}
		header('location:skills.php');
		die();
	}
	require_once('includes/header.php');	
?>
	<script type="text/javascript">        
				function countCheckPart1(chkBox, limit) {
					if (document.querySelectorAll('input[id="part1"]:checked').length > limit) {
						alert('not more than ' + limit);
						chkBox.checked = false;
					}
				}
				function countCheckPart2(chkBox, limit) {
					if (document.querySelectorAll('input[id="part2"]:checked').length > limit) {
						alert('not more than ' + limit);
						chkBox.checked = false;
					}
				}
	</script>
		<div class = "container">
			<div class = "row">
				<div class = "col-md-8 col-md-offset-2">
					<div class="table-responsive">
						<table class="table table-striped">
							<thead>
								<tr>
									<th>Total Experience</th>
									<th>Unspent Experience</th>
									<th>Credits</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>200</td>
									<td>25</td>
									<td>1055</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
				<div class="col-md-1 col-md-offset-1">
					<button type="button" class="btn btn-info centered" data-container="body" data-toggle="modal" data-target="#help"><span class="glyphicon glyphicon-question-sign"></span></button>
				</div>
			</div>
		</div>

		<div class = "container">
			<div class = "row">
				<div class = "col-md-12">
					<h2 class="sub-header">Select Career:</h2>
					<form method="get" action="">
						<select class="form-control" name="<?php echo CAREERS_ID ?>" onchange="this.form.submit()">
							<option value="">Choose a Career...</option>
								<?php
								$rows = getAllCareers($dbHandle);
								foreach ($rows as $row) {
									echo '<option value="'.$row[CAREERS_ID].'"';
									echo ($row[CAREERS_ID]==$careerID) ?' selected="selected"':'';
									echo '>'.$row[CAREERS_TITLE].'</option>';						
								}
								?>
						</select>
					<div class="panel panel-default">
						<?php
							if (is_null($careerID)) {
								echo '<h3 class = "text-center">Please choose a career</h3>';
							}
							else {
								$rows = getCareerSkills($dbHandle, array($careerID));

						?>
						<div class="panel-heading">
							<h3 class="panel-title">Career Skills: 
								<?php $seperator = '';
								foreach ($rows as $row) { 
									echo ($seperator.$row[SKILL_NAMES_NAME]);
									$seperator = ', ';
								} ?>
							</h3>
						</div>
						<div class="panel-body">
							<p>[description of career]</p>
							<p>If new character: Choose 4 career skills to increase to rank 1</p>
								<?php
								foreach ($rows as $row) { 	
								?>
									<div class="checkbox">
										<label>
											<input type="checkbox" name="<?php echo SKILL_NAMES_ID;?>[]" id="part1" value="<?php echo $row[SKILL_NAMES_ID];?>" 
											onchange="countCheckPart1(this, 4)" <?php echo (!is_null($skillsSelected) && in_array($row[SKILL_NAMES_ID], $skillsSelected) ? 'checked="checked"':''); ?>>
											<?php echo $row[SKILL_NAMES_NAME];?>
										</label>
									</div>
										
								<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class = "container">
			<div class = "row">
				<div class = "col-md-12">
					<h2 class="sub-header">Select Specialisation:</h2>
						<input type="hidden" name="<?php echo OLD_CAREERS_ID ?>" value="<?php echo $careerID ?>">
						<?php
							if (strcmp(filter_input(INPUT_GET, OLD_CAREERS_ID), $careerID)!=0) {
								$specialisationID=null;
							}
						?>
						<select class="form-control" name="<?php echo SPECIALISATION_ID ?>" onchange="this.form.submit()">
							<option value="">Choose a Specialisation...</option>
								<?php
								$rows = getCareerSpecialisations($dbHandle, array($careerID));
								foreach ($rows as $row) {
									echo '<option value="'.$row[SPECIALISATION_ID].'"';
									echo ($row[SPECIALISATION_ID]==$specialisationID) ?' selected="selected"':'';
									echo '>'.$row[SPECIALISATION_NAME].'</option>';						
								}
								?>
						</select>
					<div class="panel panel-default">
						<?php
							if (is_null($specialisationID)) {
								echo '<h3 class = "text-center">Please choose a specialisation</h3>';
							}
							else {
								$rows = getSpecialisationSkills($dbHandle, array($specialisationID));

						?>
						<div class="panel-heading">
							<h3 class="panel-title">Specialisation Career Skills: 
								<?php $seperator = '';
								foreach ($rows as $row) { 
									echo ($seperator.$row[SKILL_NAMES_NAME]);
									$seperator = ', ';
								} ?>
							</h3>
						</div>
						<div class="panel-body">
							<p>[description of career]</p>
							<p>If new character: Choose 2 career skills to increase to rank 1</p>
								<?php foreach ($rows as $row) { ?>
									<div class="checkbox">
										<label>
											<input type="checkbox" name="<?php echo SKILL_NAMES_ID;?>[]" id="part2" value="<?php echo $row[SKILL_NAMES_ID];?>" 
											onchange="countCheckPart2(this, 2)" <?php echo (!is_null($skillsSelected) && in_array($row[SKILL_NAMES_ID], $skillsSelected) ? 'disabled':''); ?>>
											<?php echo $row[SKILL_NAMES_NAME]; ?>
										</label>
									</div>
								<?php 
								} 
								?>
						</div>
					</div>
					
				</div>
				
			</div>
			
		</div>
		<div class="container col-md-6 col-md-offset-3">
			<button type="button" class="btn btn-primary btn-lg btn-block" onclick="this.form.submit()">Save</button>
		</div>
		</form>
		<div class="container col-md-3 col-md-offset-3">
			<a href ="tree.php"><button type="button" class="btn btn-info btn-lg btn-block">Talent Trees</button></a>
		</div>
		<div class="container col-md-3">
			<button type="button" class="btn btn-success btn-lg btn-block" data-toggle="modal" data-target="#force">Force Powers</button>
		</div>
		
		<?php
			}
		}
		?>

		<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
		<script src="js/bootstrap.js"></script>
		<script src="js/sorttable.js"></script> <!--http://www.kryogenix.org/code/browser/sorttable/-->
	
	</body>
</html>

<!-- Help Modal -->
<div class="modal fade" id="help" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Help Information</h4>
			</div>
			<div class="modal-body">
				Help info
			</div>
		</div>
	</div>
</div>

<!-- Talent Trees Modal -->
<div class="modal fade" id="talent" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Talent trees</h4>
			</div>
			<div class="modal-body">
				stuff
			</div>
		</div>
	</div>
</div>