<?php

/* 
 * Functions to open database
 */

/**
 * Open database and return handle.
 * 
 * @return \PDO
 */
function openDatabase()
{
    if (strcasecmp("Asuka", gethostname()) == 0) {
        $connStr = 'odbc:Driver={Microsoft Access Driver (*.mdb)};'.'Dbq=D:\\Users\\Ryan\\Google Drive\\University\\Year 3\\Final Project\\Application\\database\\CharAppDatabase.mdb;';
    }
    else {
        $connStr = 'odbc:Driver={Microsoft Access Driver (*.mdb)};'.'Dbq=C:\\Users\\Ryan\\Google Drive\\University\\Year 3\\Final Project\\Application\\database\\CharAppDatabase.mdb;';
    }
    

    try {
        $dbHandle = new PDO($connStr);
        
        $dbHandle->setAttribute(PDO::ATTR_PERSISTENT, true);
        $dbHandle->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        return $dbHandle;
    }
    catch (PDOException $exception) {
        databaseError($exception);
    }

    return false;
}

/**
 * Close database connection if open.
 * 
 * @param type $_dbHandle
 */
function closeDatabase($_dbHandle) {
    // no action at the moment
}

/**
 * Handle exception from database query.
 * 
 * @param type $_exception
 */
function databaseError($_exception) {
    // need to write to log file so user doesn't see details.
    require_once('ErrorLog.php');
    logError(array($_exception->getMessage()));
}