<?php

/* 
 * Display error message
 */
// Pu log file outside web pages folder so can't be read but add filename to URL.
define('LOG_FILE', '../event.log');

function displayError($_message) {
    echo('<br>'.$_message.'<br>');
}

/**
 * Write error to log file.
 * 
 * File format: YYYY-MM-DD HH:MM:SS,REMOTE_ADDR,$_eventArray[0],$_eventArray[1],...
 * 
 * @param type $_eventArray
 */
function logError($_eventArray) {
    writeEvent('Error', $_eventArray);
}

/**
 * Write event to log file.
 * 
 * File format: YYYY-MM-DD HH:MM:SS,REMOTE_ADDR,$_eventArray[0],$_eventArray[1],...
 * 
 * @param type $_eventArray
 */
function logEvent($_eventArray) {
    writeEvent('Event', $_eventArray);
}

/**
 * Write event to log file.
 * 
 * File format: YYYY-MM-DD HH:MM:SS,REMOTE_ADDR,$_eventArray[0],$_eventArray[1],...
 * 
 * @param type $_eventArray
 */
function writeEvent($_type, $_eventArray) {
    $outputLine = date('Y-m-d H:i:s');

    $outputLine .= ','.filter_input(INPUT_SERVER, 'REMOTE_ADDR');
    
    $outputLine .= ','.$_type;
    
    // create csv line without ""
    foreach ($_eventArray as $item) {
        $outputLine .= ','.$item;
    }
    
    $fp = fopen(LOG_FILE, 'a');
    
    fputs($fp, PHP_EOL.$outputLine);
    
    fclose($fp);
}