<?php

/* 
 * Queries for Background table
 */

define('BACKGROUNDS_TABLE', 'Backgrounds');
define('BACKGROUND_ID', 'BackgroundID');
define('BACKGROUND_TYPE', 'Type');
define('BACKGROUND_TITLE', 'Title');
define('BACKGROUND_DESCRIPTION', 'Description');

define('CHARACTER_TABLE', 'Character');
define('CHARACTER_ID', 'CharacterID');
define('CHARACTER_USER_ID', 'UserID');
define('CHARACTER_BACKGROUND_ID', 'BackgroundID');

/**
 * Return a handle for query that lists all backgrounds with type = "$_params".
 * 
 * Return false if query failed.
 */
function getBackgrounds($_dbHandle, $_params) {
	$sql = "select * from ".BACKGROUNDS_TABLE." where ".BACKGROUND_TYPE." = ? order by ".BACKGROUND_ID.";";
	try {
		$statementHandle = $_dbHandle->prepare($sql);
		$statementHandle->execute($_params); 

		return $statementHandle->fetchAll();
	}
	catch (PDOException $exception) {
		databaseError($exception);
	}

	return false;
}

/**
 * Set selected Background to character table.
 * 
 * Return false if query failed.
 */
function SetCharacterBackground($_dbHandle, $_params) {
	$sql = "update ".CHARACTER_TABLE." set ".CHARACTER_BACKGROUND_ID."=? where ".CHARACTER_USER_ID."=? and ".CHARACTER_ID."=?;";

	try {
		$statementHandle = $_dbHandle->prepare($sql);

		$statementHandle->execute($_params);
	}
	catch (PDOException $exception) {
		databaseError($exception);
	}
	return false;
}