<?php

/* 
 * Queries for Morality table
 */

define('MORALITY_TABLE', 'Morality');
define('MORALITY_ID', 'ID');
define('MORALITY_STRENGTH', 'Strength');
define('MORALITY_STRENGTH_DESCRIPTION', 'Strength Description');
define('MORALITY_WEAKNESS', 'Weakness');
define('MORALITY_WEAKNESS_DESCRIPTION', 'Weakness Description');

define('CHARACTER_TABLE', 'Character');
define('CHARACTER_ID', 'CharacterID');
define('CHARACTER_USER_ID', 'UserID');
define('CHARACTER_MORALITY_ID', 'MoralityID');

/**
 * Return a handle for query that lists all Moralities.
 * 
 * Return false if query failed.
 */
function getAllMoralities($_dbHandle) {
	try {
		$statementHandle = $_dbHandle->query("select * from ".MORALITY_TABLE.";");

		return $statementHandle->fetchAll();
	}
	catch (PDOException $exception) {
		databaseError($exception);
	}
    
	return false;
}

function getRandomID($_dbHandle) {
	$sql = "select min(ID) as minID, max(ID) as maxID from ".MORALITY_TABLE.";";

	try {
		$statementHandle = $_dbHandle->query($sql);
		$row = $statementHandle->fetch();
		$randomNumber = rand( $row['minID'], $row['maxID'] );
		$statementHandle = $_dbHandle->query("select * from ".MORALITY_TABLE." where ".MORALITY_ID." = ".$randomNumber.";");

		return $statementHandle;
	}
	catch (PDOException $exception) {
		databaseError($exception);
	}
    
	return false;
}

/**
 * Set selected Morality to character table.
 * 
 * Return false if query failed.
 */
function SetCharacterMorality($_dbHandle, $_params) {
	$sql = "update ".CHARACTER_TABLE." set ".CHARACTER_MORALITY_ID."=? where ".CHARACTER_USER_ID."=? and ".CHARACTER_ID."=?;";

	try {
		$statementHandle = $_dbHandle->prepare($sql);

		$statementHandle->execute($_params);
	}
	catch (PDOException $exception) {
		databaseError($exception);
	}
	return false;
}