<?php

/* 
 * Queries for Motivations table
 */

define('MOTIVATION_TABLE', 'Motivation');
define('MOTIVATION_ID', 'ID');
define('MOTIVATION_TYPE', 'Type');
define('MOTIVATION_TITLE', 'Title');
define('MOTIVATION_DESCRIPTION', 'Description');

define('CHARACTER_TABLE', 'Character');
define('CHARACTER_ID', 'CharacterID');
define('CHARACTER_USER_ID', 'UserID');
define('CHARACTER_MOTIVATION_ID', 'MotivationID');

/**
 * Return a handle for query that lists all Motivations.
 * 
 * Return false if query failed.
 */
function getAllMotivations($_dbHandle, $_params) {
	$sql = "select * from ".MOTIVATION_TABLE." where ".MOTIVATION_TYPE." = ? order by ".MOTIVATION_ID.";";
	try {
		$statementHandle = $_dbHandle->prepare($sql);
		$statementHandle->execute($_params); 

		return $statementHandle;
	}
	catch (PDOException $exception) {
		databaseError($exception);
	}
    
	return false;
}

function getRandomID($_dbHandle) {
	$sql = "select min(ID) as minID, max(ID) as maxID from ".MOTIVATION_TABLE.";";

	try {
		$statementHandle = $_dbHandle->query($sql);
		$row = $statementHandle->fetch();
		$randomNumber = rand( $row['minID'], $row['maxID'] );
		$statementHandle = $_dbHandle->query("select * from ".MOTIVATION_TABLE." where ".MOTIVATION_ID." = ".$randomNumber.";");

		return $statementHandle;
	}
	catch (PDOException $exception) {
		databaseError($exception);
	}
    
	return false;
}

/**
 * Set selected Motivation to character table.
 * 
 * Return false if query failed.
 */
function SetCharacterMotivation($_dbHandle, $_params) {
	$sql = "update ".CHARACTER_TABLE." set ".CHARACTER_MOTIVATION_ID."=? where ".CHARACTER_USER_ID."=? and ".CHARACTER_ID."=?;";

	try {
		$statementHandle = $_dbHandle->prepare($sql);

		$statementHandle->execute($_params);
	}
	catch (PDOException $exception) {
		databaseError($exception);
	}
	return false;
}