<?php

/* 
 * Queries for Sign In page
 */

define('USER_TABLE', 'User');
define('USER_ID', 'ID');
define('USER_USERNAME', 'Username');
define('USER_GM', 'GM');

/**
 * Return a handle for query that lists all users in database.
 * 
 * Return false if query failed.
 */
function getAllUserIDs($_dbHandle) {
	$sql = "select * from ".USER_TABLE." order by ".USER_USERNAME.";";
	try {
		$statementHandle = $_dbHandle->prepare($sql);
		$statementHandle->execute($_params); 

		return $statementHandle->fetchAll();
	}
	catch (PDOException $exception) {
		databaseError($exception);
	}

	return false;
}

/**
 * Return a handle for query that gets the user details.
 * 
 * Return false if query failed.
 */
function getUserDetails($_dbHandle, $_params) {
	$sql = "select * from ".USER_TABLE." where ".USER_ID."=? ;";
	try {
		$statementHandle = $_dbHandle->prepare($sql);
		$statementHandle->execute($_params); 

		return $statementHandle->fetch();
	}
	catch (PDOException $exception) {
		databaseError($exception);
	}

	return false;
}
