<?php
	require_once('database/SessionVariables.php');

	define('PAGE_TITLE', 'Character - Background');
	define('FILENAME', basename(__FILE__, '.php'));

	require_once('database/DatabaseAccess.php');
	require_once('database/TableEquipment.php');

	$dbHandle = openDatabase();
	$currentCharacterID = $_SESSION[SESSION_CHARACTER_ID];

	require_once('includes/header.php');	
?>
		<div class = "container">
			<div class = "row">
				<div class = "col-md-8 col-md-offset-2">
					<div class="table-responsive">
						<table class="table table-striped">
							<thead>
								<tr>
									<th>Total Experience</th>
									<th>Unspent Experience</th>
									<th>Credits</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>200</td>
									<td>25</td>
									<td>1055</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
				<div class="col-md-1 col-md-offset-1">
					<button type="button" class="btn btn-info centered" data-container="body" data-toggle="modal" data-target="#help"><span class="glyphicon glyphicon-question-sign"></span></button>
				</div>
			</div>
		</div>

		<div class = "container">
			<h2 class="sub-header">Weapons:</h2>
			<div class="container col-md-4">
				<a href="weapons.php"><button type="button" class="btn btn-primary btn-md btn-block">New</button></a>
			</div>
		</div>
		<div class = "container">
			<div class = "col-md-12">
				<div class="table-responsive">
					<table class="table table-striped">
						<thead>
							<tr>
								<th>Name</th>
								<th>Skill</th>
								<th>Damage</th>
								<th>Critical</th>
								<th>Range</th>
								<th>Encumberance</th>
								<th>Hard Points</th>
								<th>Price</th>
								<th>Rarity</th>
								<th>Special</th>
								<th>Remove</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<?php
								$rows =  getCharacterWeapons($dbHandle, array($currentCharacterID));
								foreach ($rows as $row) {
								?><tr>
									<td><?php echo $row[WEAPON_NAME];?></td>
									<td><?php echo $row[WEAPON_SKILL];?></td>
									<td><?php echo $row[WEAPON_DMG];?></td>
									<td><?php echo $row[WEAPON_CRIT];?></td>
									<td><?php echo $row[WEAPON_RANGE];?></td>
									<td><?php echo $row[WEAPON_ENC];?></td>
									<td><?php echo $row[WEAPON_HP];?></td>
									<td><?php echo $row[WEAPON_PRICE];?></td>
									<td><?php echo $row[WEAPON_RARITY];?></td>
									<td><?php echo $row[WEAPON_SPECIAL];?></td>
									<td><button type="button" class="btn btn-default btn-sm">
										<a href = "#"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></a>
									</button></td>
								</tr>
									<?php
								}
								?>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		<div class = "container">
			<h2 class="sub-header">Armor:</h2>
			<div class="container col-md-4">
				<a href="armor.php"><button type="button" class="btn btn-primary btn-md btn-block">New</button></a>
			</div>
		</div>
		<div class = "container">
			<div class = "col-md-12">
				<div class="table-responsive">
					<table class="table table-striped">
						<thead>
							<tr>
								<th>Type</th>
								<th>Defense</th>
								<th>Soak</th>
								<th>Price</th>
								<th>Encumberance</th>
								<th>Hard Points</th>
								<th>Rarity</th>
								<th>Remove</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<?php
								$rows = getCharacterArmor($dbHandle, array($currentCharacterID));
								foreach ($rows as $row) {
								?><tr>
									<td><?php echo $row[ARMOR_TYPE];?></td>
									<td><?php echo $row[ARMOR_DEF];?></td>
									<td><?php echo $row[ARMOR_SOAK];?></td>
									<td><?php echo $row[ARMOR_PRICE];?></td>
									<td><?php echo $row[ARMOR_ENC];?></td>
									<td><?php echo $row[ARMOR_HP];?></td>
									<td><?php echo $row[ARMOR_RARITY];?></td>
									<td><button type="button" class="btn btn-default btn-sm">
										<a href = "#"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></a>
									</button></td>
								</tr>
									<?php
								}
								?>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		<div class = "container">
			<h2 class="sub-header">Gear:</h2>
			<div class="container col-md-4">
				<a href="gear.php"><button type="button" class="btn btn-primary btn-md btn-block">New</button></a>
			</div>
		</div>
		<div class = "container">
			<div class = "col-md-12">
				<div class="table-responsive">
					<table class="table table-striped">
						<thead>
							<tr>
								<th>Item</th>
								<th>Price</th>
								<th>Encumberance</th>
								<th>Rarity</th>
								<th>Remove</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<?php
								$rows =  getCharacterGear($dbHandle, array($currentCharacterID));
								foreach ($rows as $row) {
								?><tr>
									<td><?php echo $row[GEAR_ITEM];?></td>
									<td><?php echo $row[GEAR_PRICE];?></td>
									<td><?php echo $row[GEAR_ENC];?></td>
									<td><?php echo $row[GEAR_RARITY];?></td>
									<td><button type="button" class="btn btn-default btn-sm">
										<a href = "#"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></a>
									</button></td>
								</tr>
									<?php
								}
								?>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		<div class="container col-md-6 col-md-offset-3">
			<br>
			<a href="index.php"><button type="button" class="btn btn-primary btn-lg btn-block">Home</button></a>
		</div>

		<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
		<script src="js/bootstrap.js"></script>
		<script src="js/sorttable.js"></script> <!--http://www.kryogenix.org/code/browser/sorttable/-->
	
	</body>
</html>

<!-- Help Modal -->
<div class="modal fade" id="help" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Help Information</h4>
			</div>
			<div class="modal-body">
				Help info
			</div>
		</div>
	</div>
</div>