<?php
	require_once('database/SessionVariables.php');

	define('PAGE_TITLE', 'Character - Background');
	define('FILENAME', basename(__FILE__, '.php'));

	require_once('database/DatabaseAccess.php');
	require_once('database/TableIndex.php');

	$dbHandle = openDatabase();
	$userID = $_SESSION[SESSION_USER_ID];
	$userGM = $_SESSION[SESSION_USER_GM];
	$characterName = filter_input(INPUT_GET, CHARACTER_NAME, FILTER_SANITIZE_STRING);
	$gameID = filter_input(INPUT_GET, GAMES_ID, FILTER_SANITIZE_NUMBER_INT);
	$gameName = filter_input(INPUT_GET, GAMES_NAME, FILTER_SANITIZE_STRING);
	$characterIDToDelete = filter_input(INPUT_GET, CHARACTER_ID, FILTER_SANITIZE_NUMBER_INT);

	if (!is_null($characterName)) {
		setInitialCharacter($dbHandle, array($userID, $characterName));
		$_SESSION[SESSION_CHARACTER_ID] = getNewestCharacter($dbHandle, array($userID));
		addCharacterToGame($dbHandle, array($_SESSION[SESSION_CHARACTER_ID], $gameID));
		require_once('database/TableSkills.php');
		insertCharacterToSkills($dbHandle, array($_SESSION[SESSION_CHARACTER_ID]));
		header('location:background.php');
		die();
	}

	if (!is_null($gameName)) {
		createGame($dbHandle, array($gameName, $userID));
	}

	if (!is_null($characterIDToDelete)) {
		deleteCharacters($dbHandle, array($characterIDToDelete));
	}
	require_once('includes/header.php');	
?>
	<script type="text/javascript">
		function copyCharID(charID, charName){
			characterIDToDeleteForm.characterIDToDelete.value = charID;
			characterIDToDeleteForm.characterNameToDelete.value = charName;
		}
	</script>
		<div class = "container">
			<div class = "row">
				<div class="col-md-3">
					<button type="button" class="btn btn-info btn-md btn-block" data-toggle="modal" data-target="#usersLoggedIn">Users Logged In</button>
				</div>
				<div class = "col-md-12">
					<h2 class="sub-header">Character Overview</h2>
					<h3 class="sub-header">Your Characters</h3>
					<button type="button" class="btn btn-primary btn-md btn-block" data-toggle="modal" data-target="#CreateChar">Create New Character</button>
					<div class="table-responsive">
						<table class="table table-striped sortable">
							<thead>
								<tr>
									<th>Character</th>
									<th>Game</th>
									<th>Go to...</th>
								</tr>
							</thead>
							<tbody>
								<?php

									$rows = getUserCharacters($dbHandle, array($userID));
									foreach ($rows as $row) {
								?>
								<tr>
									<td><a href ="background.php?<?php echo CHARACTER_ID.'='.$row[CHARACTER_ID]; ?>"><?php echo $row[CHARACTER_NAME];?></a></td>
									<td><?php echo $row["Name"];?></td>
									<td><a href ="background.php?<?php echo CHARACTER_ID.'='.$row[CHARACTER_ID]; ?>"><button  type="button" class="btn btn-default btn-sm">
										<span class="glyphicon glyphicon-hand-right" aria-hidden="true"></span>
									</button></a></td>
									<td><button type="button" class="btn btn-danger btn-md btn-block" data-toggle="modal" data-target="#DeleteCharacter" onclick="copyCharID(<?php echo $row[CHARACTER_ID].", '".$row[CHARACTER_NAME]."'"; ?>)">
										<span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
									</button></td>
								</tr>
								<?php
								}
								?>
							</tbody>
						</table>
					</div>
					<?php
						if ($userGM) {
							$rows = getGMGameCharacters($dbHandle, array($userID));							
						?>
							<h3 class="sub-header">Characters in your games</h3>
							<button type="button" class="btn btn-primary btn-md btn-block" data-toggle="modal" data-target="#CreateGame">Create New Game</button>
							<div class="table-responsive">
								<table class="table table-striped sortable">
									<thead>
										<tr>
											<th>Character</th>
											<th>Game</th>
											<th>Player</th>
											<th>Go to...</th>
										</tr>
									</thead>
									<tbody>
										<?php
											foreach ($rows as $row) {
										?>
										<tr>
											<td><a href ="background.php?<?php echo CHARACTER_ID.'='.$row[CHARACTER_ID]; ?>"><?php echo $row[CHARACTER_NAME];?></a></td>
											<td><?php echo $row["Name"];?></td>
											<td><?php echo $row["Username"];?></td>
											<td><a href ="background.php?<?php echo CHARACTER_ID.'='.$row[CHARACTER_ID]; ?>"><button  type="button" class="btn btn-default btn-sm">
												<span class="glyphicon glyphicon-hand-right" aria-hidden="true"></span>
											</button></a></td>
											<td><button type="button" class="btn btn-danger btn-md btn-block" data-toggle="modal" data-target="#DeleteCharacter" onclick="copyCharID(<?php echo $row[CHARACTER_ID].", '".$row[CHARACTER_NAME]."'"; ?>)">
												<span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
											</button></td>
										</tr>
										<?php
											}
										?>
									</tbody>
								</table>
						<?php
							}
						?>
					</div>
				</div>
			</div>
		</div>		

		<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
		<script src="js/bootstrap.js"></script>
		<script src="js/sorttable.js"></script> <!--http://www.kryogenix.org/code/browser/sorttable/-->
	
	</body>
</html>

<!-- Character Name Input Modal -->
<div class="modal fade" id="CreateChar" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Enter Character Name here:</h4>
			</div>
			<div class="modal-body">
				<form action="" method="get">
					<input type="text" name="<?php echo CHARACTER_NAME ?>">
					<select class="form-control" name="<?php echo GAMES_ID ?>">
						<option value="">Choose a Game...</option>
							<?php
							$rows = getAllGames($dbHandle);
							foreach ($rows as $row) {
								echo '<option value="'.$row[GAMES_ID].'">'.$row[GAMES_NAME].'</option>';						
							}
							?>
					</select>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
					<button type="button" class="btn btn-primary" data-toggle="modal" onclick="this.form.submit()">Save</button>
				</div>
				</form>
			</div>
		</div>
	</div>
</div>

<!-- Character Game Input Modal -->
<div class="modal fade" id="CreateGame" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Enter Game Name here:</h4>
			</div>
			<div class="modal-body">
				<form action="" method="get">
					<input type="text" name="<?php echo GAMES_NAME ?>">
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
					<button type="button" class="btn btn-primary" data-toggle="modal" onclick="this.form.submit()">Save</button>
				</div>
				</form>
			</div>
		</div>
	</div>
</div>

<!-- Delete Character Modal -->
<div class="modal fade" id="DeleteCharacter" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Delete Character</h4>
			</div>
			<div class="modal-body">
				<form action="" method="get" id="characterIDToDeleteForm">
					<input type="hidden" name="<?php echo CHARACTER_ID ?>" id="characterIDToDelete" value="">
					<p>Are you sure you want to delete <input type="text" id="characterNameToDelete" value="" readonly>?</p>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">No</button>
					<button type="button" class="btn btn-primary" data-toggle="modal" onclick="this.form.submit()">Yes</button>
				</div>
				</form>
			</div>
		</div>
	</div>
</div>

<!-- Users Logged In Modal -->
<div class="modal fade" id="usersLoggedIn" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Current Users</h4>
			</div>
			<div class="modal-body">
				<?php
					$activeForSeconds = time() - 900;

					$rows = getAllLoggedInUsersData($dbHandle, array($activeForSeconds));
					
					if ($rows !== false) {
					    foreach($rows as $row) {
					    	if(!is_null($row[SESSION_USER_NAME])) {
						    	if ($row[SESSION_USER_GM]) {
						    		$userType = "GM";
						    	}
						    	else {
						    		$userType = "Player";
						    	}
						    	echo ($row[SESSION_USER_NAME].', '.$userType.'<br>');
					    	}
					    	else {
					    		echo "Unknown User <br>";
					    	}		
						}	
					}
					else {
					    echo ("No body is logged in!");
					}
				?>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				</div>
				</form>
			</div>
		</div>
	</div>
</div>