<?php
	require_once('database/SessionVariables.php');

	define('PAGE_TITLE', 'Character - Background');
	define('FILENAME', basename(__FILE__, '.php'));

	require_once('database/DatabaseAccess.php');
	require_once('database/TableMorality.php');

	$dbHandle = openDatabase();
	$userID = $_SESSION[SESSION_USER_ID];
	$currentCharacterID = $_SESSION[SESSION_CHARACTER_ID];
	$moralityID = filter_input(INPUT_GET, MORALITY_ID, FILTER_SANITIZE_NUMBER_INT);

	$row = getRandomID($dbHandle)->fetch();

	if (!is_null($moralityID)) {
		SetCharacterMorality($dbHandle, array($moralityID, $userID, $currentCharacterID));
		header('location:species.php');
		die();
	}

	require_once('includes/header.php');	
?>
		<div class = "container">
			<div class = "row">
				<div class = "col-md-8 col-md-offset-2">
					<div class="table-responsive">
						<table class="table table-striped">
							<thead>
								<tr>
									<th>Total Experience</th>
									<th>Unspent Experience</th>
									<th>Credits</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>200</td>
									<td>25</td>
									<td>1055</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
				<div class="col-md-1 col-md-offset-1">
					<button type="button" class="btn btn-info centered" data-container="body" data-toggle="modal" data-target="#help"><span class="glyphicon glyphicon-question-sign"></span></button>
				</div>
			</div>
		</div>

		<div class = "container">
			<h2 class="sub-header">Select Morality:</h2>
			<div class="container col-md-4">
				<button type="button" class="btn btn-primary btn-md btn-block" data-toggle="modal" data-target="#newMorality">New</button>
			</div>
			<div class="container col-md-4">
				<button type="button" class="btn btn-warning btn-md btn-block">Random</button>
			</div>
			<div class="container col-md-4">
				<button type="button" class="btn btn-danger btn-md btn-block">Remove</button>
			</div>
		</div>
		<div class = "container">
			<div class = "col-md-12">
				<div class="table-responsive">
					<table class="table table-striped">
						<thead>
							<tr>
								<th>Emotional Strength</th>
								<th>Emotional Weakness</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td><?php echo $row[MORALITY_STRENGTH];?></td>
								<td><?php echo $row[MORALITY_WEAKNESS];?></td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		<div class="container col-md-6 col-md-offset-3">
			<button type="button" class="btn btn-primary btn-lg btn-block">Save</button>
		</div>

		<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
		<script src="js/bootstrap.js"></script>
		<script src="js/sorttable.js"></script> <!--http://www.kryogenix.org/code/browser/sorttable/-->
	
	</body>
</html>

<!-- Help Modal -->
<div class="modal fade" id="help" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Help Information</h4>
			</div>
			<div class="modal-body">
				Help info
			</div>
		</div>
	</div>
</div>

<!-- New Morality Modal -->
<div class="modal fade" id="newMorality" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">New Morality</h4>
			</div>
			<div class="modal-body">
				<form method="get" action="">
					<div class="table-responsive">
						<table class="table table-striped">
							<thead>
								<tr>
									<th>Emotional Strength</th>
									<th>Emotional Weakness</th>
									<th></th>
									<th>Select</th>
								</tr>
							</thead>
							<tbody>
								<?php
								$rows =  getAllMoralities($dbHandle);
								foreach ($rows as $row) {
								?><tr>

										<td><?php echo $row[MORALITY_STRENGTH];?></td>
										<td><?php echo $row[MORALITY_WEAKNESS];?></td>
										<td><button type="button" class="btn btn-info centered" data-container="body" data-toggle="modal" data-target="#info"><span class="glyphicon glyphicon-question-sign"></span></button></td>
										<td><div class="radio"><input type="radio" name="<?php echo MORALITY_ID ?>" value="<?php echo $row[MORALITY_ID];?>"></div></td>
								</tr>
									<?php
								}
								?>
							</tbody>
						</table>
					</div>
				
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				<button type="button" class="btn btn-primary" data-toggle="modal" onclick="this.form.submit()">Save</button>
			</div>
		</form>
		</div>
	</div>
</div>

<!-- Morality Info Modal -->
<div class="modal fade" id="info" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Help Information</h4>
			</div>
			<div class="modal-body">
				Morality Description info
			</div>
		</div>
	</div>
</div>

<!-- Morality Options Modal -->
<div class="modal fade" id="moralityOptions" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog modal-sm" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Stating Morality Options</h4>
			</div>
			<div class="modal-body">
				<div class="radio">
					<label>
						<input type="radio" name="optionsRadios" id="optionsRadios1" value="option1" checked>
						+10 starting experience
					</label>
				</div>
				<div class="radio">
					<label>
						<input type="radio" name="optionsRadios" id="optionsRadios2" value="option2">
						+2500 starting credits
					</label>
				</div>
				<div class="radio">
					<label>
						<input type="radio" name="optionsRadios" id="optionsRadios3" value="option3">
						+5 starting experience<br>
						+1000 starting credits
					</label>
				</div>
				<div class="radio">
					<label>
						<input type="radio" name="optionsRadios" id="optionsRadios4" value="option4">
						Morality start at 29
					</label>
				</div>
				<div class="radio">
					<label>
						<input type="radio" name="optionsRadios" id="optionsRadios4" value="option4">
						Morality start at 71
					</label>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				<button type="button" class="btn btn-primary" data-toggle="modal">Save</button>
			</div>
		</div>
	</div>
</div>