<?php
	require_once('database/SessionVariables.php');

	define('PAGE_TITLE', 'Character - Background');
	define('FILENAME', basename(__FILE__, '.php'));

	require_once('database/DatabaseAccess.php');
	require_once('database/TableMotivations.php');

	$dbHandle = openDatabase();
	$userID = $_SESSION[SESSION_USER_ID];
	$currentCharacterID = $_SESSION[SESSION_CHARACTER_ID];
	$motivationID = filter_input(INPUT_GET, MOTIVATION_ID, FILTER_SANITIZE_NUMBER_INT);

	$row = getRandomID($dbHandle)->fetch();

	if (!is_null($motivationID)) {
		SetCharacterMotivation($dbHandle, array($motivationID, $userID, $currentCharacterID));
		header('location:equipment.php');
		die();
	}

	require_once('includes/header.php');	
?>
		<div class = "container">
			<div class = "row">
				<div class = "col-md-8 col-md-offset-2">
					<div class="table-responsive">
						<table class="table table-striped">
							<thead>
								<tr>
									<th>Total Experience</th>
									<th>Unspent Experience</th>
									<th>Credits</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>200</td>
									<td>25</td>
									<td>1055</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
				<div class="col-md-1 col-md-offset-1">
					<button type="button" class="btn btn-info centered" data-container="body" data-toggle="modal" data-target="#help"><span class="glyphicon glyphicon-question-sign"></span></button>
				</div>
			</div>
		</div>

		<div class = "container">
			<h2 class="sub-header">Select Motivation:</h2>
			<div class="container col-md-4">
				<button type="button" class="btn btn-primary btn-md btn-block" data-toggle="modal" data-target="#newMotivation">New</button>
			</div>
			<div class="container col-md-4">
				<button type="button" class="btn btn-warning btn-md btn-block">Random</button>
			</div>
			<div class="container col-md-4">
				<button type="button" class="btn btn-danger btn-md btn-block">Remove</button>
			</div>
		</div>
		<div class = "container">
			<div class = "col-md-12">
				<div class="table-responsive">
					<table class="table table-striped">
						<thead>
							<tr>
								<th>Type</th>
								<th>Description</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td><?php echo $row[MOTIVATION_TITLE];?></td>
								<td><?php echo $row[MOTIVATION_DESCRIPTION];?></td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		<div class="container col-md-6 col-md-offset-3">
			<button type="button" class="btn btn-primary btn-lg btn-block">Save</button>
		</div>

		<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
		<script src="js/bootstrap.js"></script>
		<script src="js/sorttable.js"></script> <!--http://www.kryogenix.org/code/browser/sorttable/-->
	
	</body>
</html>

<!-- Help Modal -->
<div class="modal fade" id="help" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Help Information</h4>
			</div>
			<div class="modal-body">
				Help info
			</div>
		</div>
	</div>
</div>

<!-- Motivation Options Modal -->
<div class="modal fade" id="newMotivation" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog modal-sm" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Pick a Motivation type</h4>
			</div>
			<div class="modal-body">
				<button type="button" class="btn btn-primary" data-toggle="modal" data-dismiss="modal" data-target="#ambition">Ambition</button>
				<button type="button" class="btn btn-primary" data-toggle="modal" data-dismiss="modal" data-target="#cause">Cause</button>
				<button type="button" class="btn btn-primary" data-toggle="modal" data-dismiss="modal" data-target="#faith">Faith</button>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
			</div>
		</div>
	</div>
</div>

<!-- New Motivation Ambition Modal -->
<div class="modal fade" id="ambition" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Ambition Moralities</h4>
			</div>
			<div class="modal-body">
				<form method="get" action="">
				<div class="table-responsive">
					<table class="table table-striped">
						<thead>
							<tr>
								<th>Type</th>
								<th>Description</th>
							</tr>
						</thead>
						<tbody>
							<?php
							$stHandle =  getAllMotivations($dbHandle, array("ambition"));
							while ($row = $stHandle->fetch()) {
							?><tr>
								<td><?php echo $row[MOTIVATION_TITLE];?></td>
								<td><button type="button" class="btn btn-info centered" data-container="body" data-toggle="modal" data-target="#info"><span class="glyphicon glyphicon-question-sign"></span></button></td>
								<td><div class="radio"><input type="radio" name="<?php echo MOTIVATION_ID ?>" value="<?php echo $row[MOTIVATION_ID];?>"></div></td>
							</tr>
								<?php
							}
							?>
						</tbody>
					</table>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				<button type="button" class="btn btn-primary" data-toggle="modal" onclick="this.form.submit()">Save</button>
			</div>
			</form>
		</div>
	</div>
</div>

<!-- New Motivation Cause Modal -->
<div class="modal fade" id="cause" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Cause Moralities</h4>
			</div>
			<div class="modal-body">
				<form method="get" action="">
				<div class="table-responsive">
					<table class="table table-striped">
						<thead>
							<tr>
								<th>Type</th>
								<th>Description</th>
							</tr>
						</thead>
						<tbody>
							<?php
							$stHandle =  getAllMotivations($dbHandle, array("cause"));
							while ($row = $stHandle->fetch()) {
							?><tr>
								<td><?php echo $row[MOTIVATION_TITLE];?></td>
								<td><button type="button" class="btn btn-info centered" data-container="body" data-toggle="modal" data-target="#info"><span class="glyphicon glyphicon-question-sign"></span></button></td>
								<td><div class="radio"><input type="radio" name="<?php echo MOTIVATION_ID ?>" value="<?php echo $row[MOTIVATION_ID];?>"></div></td>
							</tr>
								<?php
							}
							?>
						</tbody>
					</table>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				<button type="button" class="btn btn-primary" data-toggle="modal" onclick="this.form.submit()">Save</button>
			</div>
			</form>
		</div>
	</div>
</div>

<!-- New Motivation Faith Modal -->
<div class="modal fade" id="faith" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Faith Moralities</h4>
			</div>
			<div class="modal-body">
				<form method="get" action="">
				<div class="table-responsive">
					<table class="table table-striped">
						<thead>
							<tr>
								<th>Type</th>
								<th>Description</th>
							</tr>
						</thead>
						<tbody>
							<?php
							$stHandle =  getAllMotivations($dbHandle, array("faith"));
							while ($row = $stHandle->fetch()) {
							?><tr>
								<td><?php echo $row[MOTIVATION_TITLE];?></td>
								<td><button type="button" class="btn btn-info centered" data-container="body" data-toggle="modal" data-target="#info"><span class="glyphicon glyphicon-question-sign"></span></button></td>
								<td><div class="radio"><input type="radio" name="<?php echo MOTIVATION_ID ?>" value="<?php echo $row[MOTIVATION_ID];?>"></div></td>
							</tr>
								<?php
							}
							?>
						</tbody>
					</table>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				<button type="button" class="btn btn-primary" data-toggle="modal" onclick="this.form.submit()">Save</button>
			</div>
			</form>
		</div>
	</div>
</div>