<?php
    require_once('database/SessionVariables.php');

    require_once('database/DatabaseAccess.php');
    require_once('database/TableSignin.php');

    $dbHandle = openDatabase();

    $userID = filter_input(INPUT_GET, USER_ID, FILTER_SANITIZE_NUMBER_INT);

    if (!is_null($userID)) {
        $row = getUserDetails($dbHandle, array($userID));
        $_SESSION[SESSION_USER_NAME] = $row[USER_USERNAME];
        $_SESSION[SESSION_USER_ID] = $userID;
        $_SESSION[SESSION_USER_GM] = $row[USER_GM];
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>Sign In</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="css/bootstrap.min.css" rel="stylesheet">
    </head>
    <body>
        <div class = "navbar navbar-inverse navbar-static-top">
            <div class = "container">
                <a class = "navbar-brand">Character Application</a>
            </div>
        </div>
        <div class = "container">
            <div class = "row">
                <div>
                    <h4>Choose User ID:</h4>
                    <h5>Current User: 
                        <?php
                            if (isset($_SESSION[SESSION_USER_ID]) && !is_null($_SESSION[SESSION_USER_ID])) {
                                echo $_SESSION[SESSION_USER_NAME];
                                if ($_SESSION[SESSION_USER_GM]) {
                                    echo '(GM)';
                                }

                            }
                            else {
                                echo "No current user";
                            }
                        ?>
                    </h5>
                </div>
                <form action="" method="get">
                    <div class = "col-md-6 col-md-offset-1">
                        <select class="form-control" name="<?php echo USER_ID ?>">
                            <option value="">Choose a User...</option>
                                <?php
                                
                                $rows = getAllUserIDs($dbHandle);
                                foreach ($rows as $row) {
                                    echo '<option value="'.$row[USER_ID].'">'.$row[USER_USERNAME].'</option>';                        
                                }
                                ?>
                        </select>
                    </div>
                    <div class="container col-md-4">
                        <button type="button" class="btn btn-primary btn-lg btn-block" onclick="this.form.submit()">Set Current User</button>
                    </div>
                    <div class="container col-md-6 col-md-offset-3">
                        <a href="index.php"><button  type="button" class="btn btn-success btn-lg btn-block">Home</button></a>
                    </div>
                    
                </form>
                </div>
            </div>
        </div>
    </body>
</html>
