<?php
	require_once('database/SessionVariables.php');

	define('PAGE_TITLE', 'Character - Background');
	define('FILENAME', basename(__FILE__, '.php'));
	define('NAME_OF_CHARACTERISTIC', 'noc');	
	define('NAME_OF_SKILL', 'nos');	
	define('INCREMENT', 'inc');
	
	require_once('database/DatabaseAccess.php');
	require_once('database/TableSkills.php');

	$dbHandle = openDatabase();
	$currentCharacterID = $_SESSION[SESSION_CHARACTER_ID];

	$characteristicName = filter_input(INPUT_GET, NAME_OF_CHARACTERISTIC, FILTER_SANITIZE_STRING);
	$skillName = filter_input(INPUT_GET, NAME_OF_SKILL, FILTER_SANITIZE_STRING);
	$increment = filter_input(INPUT_GET, INCREMENT, FILTER_SANITIZE_NUMBER_INT);
	
	if(!is_null($characteristicName) && !is_null($increment)) {
		if (!updateCharacteristicRank($dbHandle, $characteristicName, array($increment, $currentCharacterID))) {
			?>
			<script type="text/javascript">
				alert("Characteristic cannot be negative");
			</script>
			<?php
		}
	}

	if(!is_null($skillName) && !is_null($increment)) {
		if (!updateSkillRank($dbHandle, $skillName, array($increment, $currentCharacterID))) {
			?>
			<script type="text/javascript">
				alert("Skill cannot be negative");
			</script>
			<?php
		}
	}
	

	require_once('includes/header.php');	
?>
		<div class = "container">
			<div class = "row">
				<div class = "col-md-8 col-md-offset-2">
					<div class="table-responsive">
						<table class="table table-striped">
							<thead>
								<tr>
									<th>Total Experience</th>
									<th>Unspent Experience</th>
									<th>Credits</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>200</td>
									<td>25</td>
									<td>1055</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
				<div class="col-md-1 col-md-offset-1">
					<button type="button" class="btn btn-info centered" data-container="body" data-toggle="modal" data-target="#help"><span class="glyphicon glyphicon-question-sign"></span></button>
				</div>
			</div>
		</div>

		<div class="container">
			<?php
				$row = getCharacteristics($dbHandle, array($currentCharacterID));
			?>
			<h2 class="sub-header">Characteristics for <?php echo $row[CHARACTER_NAME]?></h2>
			<div class="table-responsive col-md">
				<?php 
					$CharacteristicNames = array('Brawn', 'Agility', 'Intellect', 'Cunning', 'Willpower', 'Presence');
				?>
				<table class="table table-bordered text-center">
					<thead>
						<tr>
							<?php foreach ($CharacteristicNames as $name) {
								echo "<th>".$name."</th>";
							}
							?>
						</tr>
					</thead>
					<tbody>

						<tr>
							<?php 
								foreach ($CharacteristicNames as $name) {
							?>
									<form style="display:inline" action ="" method="get">
										<input type="hidden" name="<?php echo NAME_OF_CHARACTERISTIC ?>" value="<?php echo $name ?>">
										<input type="hidden" name="<?php echo INCREMENT ?>" value="-1">
										<td><button type="button" class="btn btn-info btn-xs centered" onclick="this.form.submit()" <?php echo($row[$name]==0) ? 'disabled' : '' ?>><span class="glyphicon glyphicon-minus"></span></button>
									</form>
											<?php echo $row[$name] ?>
									<form style="display:inline" action ="" method="get">
										<input type="hidden" name="<?php echo NAME_OF_CHARACTERISTIC ?>" value="<?php echo $name ?>">
										<input type="hidden" name="<?php echo INCREMENT ?>" value="1">
										<button type="button" class="btn btn-info btn-xs centered" onclick="this.form.submit()"><span class="glyphicon glyphicon-plus"></span></button></td>
									</form>
							<?php
								}
							?>
						</tr>
					</tbody>
				</table>
			</div>
		</div>

		<div class="container">
			<h2 class="sub-header">Skills</h2>
			<div class="table-responsive col-md">
				<table class="table table-bordered text-center">
					<thead>
						<tr>
							<th>Skill</th>
							<th>Career</th>
							<th>Ranks</th>
							<th>Dice Pool</th>
							<th>Roll</th>
						</tr>
					</thead>
					<tbody>
						<?php
							$skillNamesRows = getSkillNames($dbHandle);
							$charRanksRow = getCharacterSkillRanks($dbHandle, array($currentCharacterID));
							foreach ($skillNamesRows as $row) {
						?>
						
						<tr>
							<td><?php echo $row[SKILL_NAMES_NAME] ?></td>
							<td>
								<label>
									<input type="checkbox" id="blankCheckbox" value="option1" aria-label="...">
								</label>
							</td>
							<td>
								<form style="display:inline" action ="" method="get">
									<input type="hidden" name="<?php echo NAME_OF_SKILL ?>" value="<?php echo $row[SKILL_NAMES_NAME] ?>">
									<input type="hidden" name="<?php echo INCREMENT ?>" value="-1">
									<button type="button" class="btn btn-info btn-xs centered" onclick="this.form.submit()" <?php echo($charRanksRow[$row[SKILL_NAMES_ID]]==0) ? 'disabled' : '' ?>><span class="glyphicon glyphicon-minus"></span></button>
								</form> 
								<?php echo $charRanksRow[$row[SKILL_NAMES_ID]] ?>
								<form style="display:inline" action ="" method="get">
									<input type="hidden" name="<?php echo NAME_OF_SKILL ?>" value="<?php echo $row[SKILL_NAMES_NAME] ?>">
									<input type="hidden" name="<?php echo INCREMENT ?>" value="1">
									<button type="button" class="btn btn-info btn-xs centered" onclick="this.form.submit()"><span class="glyphicon glyphicon-plus"></span></button>
								</form>
							</td>
							<td>[#][#][#][#][#]</td>
							<td><button type="button" class="btn btn-info btn-xs centered"><span class="glyphicon glyphicon-triangle-right"></span></button></td>
						</tr>
						</form>
						<?php
						}
						?>
					</tbody>
				</table>
			</div>
		</div>
		<div class="container col-md-6 col-md-offset-3">
			<a href="equipment.php"><button type="button" class="btn btn-primary btn-lg btn-block">Save</button></a>
		</div>

		<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
		<script src="js/bootstrap.js"></script>
		<script src="js/sorttable.js"></script> <!--http://www.kryogenix.org/code/browser/sorttable/-->
	
	</body>
</html>

<!-- Help Modal -->
<div class="modal fade" id="help" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Help Information</h4>
			</div>
			<div class="modal-body">
				Help info
			</div>
		</div>
	</div>
</div>